List charge points
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/charge_points \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/charge_points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/charge_points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "charge_point",
"id": "<string>",
"description": "<string>",
"online": true,
"status": "<string>",
"max_power_kw": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"country": "<string>"
},
"connectors": [
{
"connector_id": 123,
"status": "<string>",
"rated_power_kw": "<string>"
}
],
"simulated": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Charging
List charge points
Requires the fleet:read scope.
GET
/
charge_points
List charge points
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/charge_points \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/charge_points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/charge_points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "charge_point",
"id": "<string>",
"description": "<string>",
"online": true,
"status": "<string>",
"max_power_kw": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"country": "<string>"
},
"connectors": [
{
"connector_id": 123,
"status": "<string>",
"rated_power_kw": "<string>"
}
],
"simulated": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.
Query Parameters
Required range:
1 <= x <= 100Maximum string length:
200
